Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           kdeplasma-addons
Version:	4.5.4
Release:	1
Summary:        Additional plasmoids for KDE

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdeplasma-addons-%{version}.tar.bz2

Patch0:		kdeplasma-addons-python26.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      i686
BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  gettext
BuildRequires:  openldap-devel
BuildRequires:  python26-devel
BuildRequires:  automoc4
BuildRequires:  eigen2
BuildRequires:  shared-desktop-ontologies
BuildRequires:	mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:	libXi-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:	gpsd-devel
# most of former kdeaddons for KDE3 is now here
Obsoletes: 	kdeaddons < 4

BuildRequires:	kdeedu
BuildRequires:  qca-devel

Obsoletes: 	kdeplasmoids < %{version}-%{release}
Provides: 	kdeplasmoids = %{version}-%{release}

Requires(post): coreutils /sbin/ldconfig
Requires(postun): coreutils /sbin/ldconfig

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }


#Automatically resolved build dependencies
BuildRequires: attica-devel
BuildRequires: cln-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: kdebase-workspace-devel
BuildRequires: kdeedu-devel
BuildRequires: kdegraphics-devel
BuildRequires: kdelibs-devel
BuildRequires: kdepimlibs-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libqalculate-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libxml2-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: libXtst-devel
BuildRequires: phonon-devel
BuildRequires: qca-devel
BuildRequires: qimageblitz-devel
BuildRequires: qt4-devel
BuildRequires: qwt-devel
BuildRequires: scim-devel
BuildRequires: soprano-devel

%description
Additional plasmoids for KDE.


%prep
%setup -q -n kdeplasma-addons-%{version}
#%patch0 -p1

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# unpackaged files
# omit -devel type stuff, for now
rm -rf %{buildroot}%{_kde4_includedir}/


%post
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_kde4_iconsdir}/hicolor || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_kde4_iconsdir}/hicolor || :
fi


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB
%{_kde4_libdir}/kde4/*
%{_kde4_iconsdir}/hicolor/*/apps/bball.png
%{_kde4_iconsdir}/hicolor/*/apps/lancelot*.png
%{_kde4_iconsdir}/hicolor/*/apps/previewer.png
%{_kde4_iconsdir}/hicolor/*/apps/bball.svgz
%{_kde4_iconsdir}/hicolor/*/apps/fifteenpuzzle.svgz
%{_kde4_iconsdir}/hicolor/scalable/apps/accessories-dictionary.svgz
%{_bindir}/lancelot
#%{_kde4_libdir}/libconversion.so*
%{_kde4_libdir}/liblancelot.so*
#%{_kde4_libdir}/libocsclient.so*
%{_kde4_libdir}/libplasmacomicprovidercore.so*
%{_kde4_libdir}/libplasmapotdprovidercore.so*
%{_kde4_libdir}/libplasmaweather.so*
%{_kde4_libdir}/librtm.so*
%{_kde4_datadir}/config/comic.knsrc
%{_kde4_datadir}/config/virus_wallpaper.knsrc
%{_kde4_datadir}/config/plasmaweather.knsrc
%{_kde4_datadir}/dbus-1/services/org.kde.lancelot.service
%{_kde4_datadir}/kde4/
%{_kde4_datadir}/mime/
%{_bindir}/kimpanel
%{_kde4_libdir}/libkimpanelruntime.so*
%{_kde4_libdir}/scim-1.0/scim-panel-dbus
%{_kde4_datadir}/config.kcfg/kimpanelconfig.kcfg
%{_kde4_datadir}/dbus-1/interfaces/org.kde.impanel.xml
%{_libdir}/liblancelot-datamodels.so
%{_libdir}/liblancelot-datamodels.so.0
%{_libdir}/liblancelot-datamodels.so.1.7.0
%{_datadir}/icons/hicolor/128x128/apps/kdeobservatory.png
%{_datadir}/icons/hicolor/128x128/apps/plasmaapplet-shelf.png
%{_datadir}/icons/hicolor/128x128/apps/qalculate-applet.png
%{_datadir}/icons/hicolor/16x16/apps/kdeobservatory.png
%{_datadir}/icons/hicolor/16x16/apps/plasmaapplet-shelf.png
%{_datadir}/icons/hicolor/22x22/apps/kdeobservatory.png
%{_datadir}/icons/hicolor/22x22/apps/plasmaapplet-shelf.png
%{_datadir}/icons/hicolor/32x32/apps/kdeobservatory.png
%{_datadir}/icons/hicolor/32x32/apps/plasmaapplet-shelf.png
%{_datadir}/icons/hicolor/48x48/apps/kdeobservatory.png
%{_datadir}/icons/hicolor/48x48/apps/plasmaapplet-shelf.png
%{_datadir}/icons/hicolor/48x48/apps/qalculate-applet.png
%{_datadir}/icons/hicolor/64x64/apps/kdeobservatory.png
%{_datadir}/icons/hicolor/64x64/apps/plasmaapplet-shelf.png
%{_datadir}/icons/hicolor/scalable/apps/kdeobservatory.svgz

%changelog
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.4-1
- Version Update
* Thu Nov 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.3-1
- Version Update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.2-1
- Version Update
* Wed Sep 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.1-1
- Version Update
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.0-1
- Version Update
* Wed Jul 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.95-1
- Version Update
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-1
- Version Update - experimental package branch - rc2
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.90-1
- Version Update - experimental package branch - rc1
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- Version Update
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Thu Aug 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.0-1
- Version update
* Thu Jun 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4-1
- Version update
* Fri May 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Apr 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-1
- Version update
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.0-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.96-1
- version update
* Wed Jan 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.87-1
- version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-1
- version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.80-1
- version update
* Wed Nov 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-1
- version update
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- version update
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- rebuild against latest renamed packages
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
- renamed package
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Initial release ( KDE 4.1 Beta 2 )
